package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderShipTypeEnum {
	/**
	 * 发货单类型：1_采购发货；2_调货发货；3_改签发货；4_退货发货
	 */
	PURCHASE_SHIP(1, "采购发货"),
	TRANSFER_SHIP(2, "调货发货"),
	CHANGE_SHIP(3, "改签发货"),
	RETURN_SHIP(4, "退货发货");

	@EnumValue
	private final int type;

	private final String message;
}
